'use strict';

const FillBuilder = require('./index.js');

/**
 * Function that returns a promise
 */
function getValue(param) {
    return Promise.resolve('value ' + param);
}

function populateWithResults() {
    let builder = new FillBuilder();
    return builder
        .add("members", getValue('members'))
        .add("stuff", getValue('stuff'))
        .promise();
}

/**
 * o.members will have the  'value members'
 * o.stuff will have the 'value stuff'
 */
populateWithResults()
    .then(o => console.log(o))
    .catch(e => console.error(e));
